Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004093TestLinkDatabase Generalpublic2010-12-12 08:132011-01-22 15:11
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004093: MSSQL - Problems on fetch_array()
DescriptionThis issue is eveidenced when trying to use XML-RPC API (who knows why)
Reported on forums

Simple fix:

on database.class.php

    function fetch_array( &$p_result )
    {
        if ( $p_result->EOF ) {
            return false;
        }
        
        // mysql obeys FETCH_MODE_BOTH, hence ->fields works, other drivers do not support this
        // 20090713 - pmo - add oci8po
        switch ($this->db->databaseType)
        {
            case "mysql":
            case "oci8po":
            case "mssql": <<<<<<< ADDD THIS LINE
                $t_array = $p_result->fields;
                break;
TagsNo tags attached.
Database (MySQL,Postgres,etc)MSSQL 2005 EXPRESS
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0004079closedfman Cannot add attachment to execution [DB REPOSITORY / MSSQL] 
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0013388)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2010-12-12 08:13 fman New Issue
2010-12-12 08:13 fman Status new => assigned
2010-12-12 08:13 fman Assigned To => fman
2010-12-18 10:38 fman Status assigned => resolved
2010-12-18 10:38 fman Fixed in Version => 1.9.1 (bug fixing)
2010-12-18 10:38 fman Resolution open => fixed
2010-12-18 10:39 fman Relationship added child of 0004039
2011-01-06 18:41 fman Relationship added related to 0004079
2011-01-22 15:11 fman Note Added: 0013388
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker